[CentOS] DRBD error : Invalid module format

Akemi Yagi amyagi at gmail.com
Thu Dec 31 21:52:44 UTC 2009


On Thu, Dec 31, 2009 at 1:45 PM, robert mena <robert.mena at gmail.com> wrote:
> Hi,
> I am trying to use drbd in my centos 5.4 but I keep getting errors.
> When I try modprobe -v drbd I receive
> insmod /lib/modules/2.6.18-164.el5PAE/extra/drbd/drbd.ko
> FATAL: Error inserting drbd
> (/lib/modules/2.6.18-164.el5PAE/extra/drbd/drbd.ko): Invalid module format.
> The current (running) kernel is 2.6.18-164.el5PAE
> kmod-drbd-8.0.16-5.el5_3
> drbd-8.0.16-5.el5.centos
> Any tips?

You are running a PAE kernel. So, you need kmod-drbd-PAE, not kmod-drbd.

Akemi


More information about the CentOS mailing list